<p align="center">
  <a href="http://bionode.io">
    <img height="200" width="200" title="bionode" alt="bionode logo" src="https://rawgithub.com/bionode/bionode/master/docs/bionode-logo.min.svg"/>
  </a>
  <br/>
  <a href="http://bionode.io/">bionode.io</a>
</p>

# bionode-ncbi

> Node.js module to get data from the NCBI API (aka e-utils)

[![npm](https://img.shields.io/npm/v/bionode-ncbi.svg?style=flat-square)](http://npmjs.org/package/bionode-ncbi)
[![Travis](https://img.shields.io/travis/bionode/bionode-ncbi.svg?style=flat-square)](https://travis-ci.org/bionode/bionode-ncbi)
[![Coveralls](https://img.shields.io/coveralls/bionode/bionode-ncbi.svg?style=flat-square)](http://coveralls.io/r/bionode/bionode-ncbi)
[![Dependencies](http://img.shields.io/david/bionode/bionode-ncbi.svg?style=flat-square)](http://david-dm.org/bionode/bionode-ncbi)
[![npm](https://img.shields.io/npm/dt/bionode-ncbi.svg?style=flat-square)](https://www.npmjs.com/package/bionode-ncbi)
[![Gitter](https://img.shields.io/gitter/room/nwjs/nw.js.svg?style=flat-square)](https://gitter.im/bionode/bionode-ncbi)
[![Cite](http://img.shields.io/badge/doi-10.5281/zenodo.11315-blue.svg?style=flat-square)](http://dx.doi.org/10.5281/zenodo.11315)

## Install

You need to install the latest Node.JS first, please check [nodejs.org](http://nodejs.org) or do the following:

```bash
# Ubuntu
sudo apt-get install npm
# Mac
brew install node
# Both
npm install -g n
n stable
```

To use `bionode-ncbi` as a command line tool, you can install it globally with `-g`.

```bash
npm install bionode-ncbi -g
```

Or, if you want to use it as a JavaScript library, you need to install it in your local project folder inside the `node_modules` directory by doing the same command **without** `-g`.

```bash
npm i bionode-ncbi # 'i' can be used as shorcut to 'install'
```
## Documentation

Check our documentation at [doc.bionode.io](http://doc.bionode.io) or do:

```bash
bionode-ncbi --help
```

## Contributing
We welcome all kinds of contributions at all levels of experience, please read the [CONTRIBUTING.md](CONTRIBUTING.md) to get started!

## Communication channels

Don't be shy! Come talk to us :smiley:

* **Email** [mail@bionode.io](mailto:mail@bionode.io)
* **Chat room** [http://gitter.im/bionode/bionode-ncbi](http://gitter.im/bionode/bionode-ncbi)
* **IRC** #bionode on Freenode
* **Twitter** [@bionode](http://twitter.com/@bionode)


## Acknowledgements
We would like to thank all the people and institutions listed below!

* [graphs/contributors](https://github.com/bionode/bionode-ncbi/graphs/contributors)
* [bionode/people](https://github.com/orgs/bionode/people)
* [WurmLab](http://wurmlab.github.io)
* [Mozilla Science Lab](https://science.mozilla.org)
